// コンストラクタ
atmarkit.User = function() {
}

// クラスメソッド

// ユーザー情報を取得して返す
atmarkit.User.loadViewer = function(successHandler, errorHandler) {
    // OpenSocialコンテナへのリクエストの準備
    var req = opensocial.newDataRequest();
    req.add(req.newFetchPersonRequest(
	opensocial.IdSpec.PersonId.VIEWER),
	    "fetchViewer");
    // OpenSocialコンテナへのリクエストの送信
    req.send(function(res) {      
        // OpenSocialコンテナからのレスポンスの処理
	if (res.hadError()) {
	    errorHandler(res);
	}
	else {
            var resItem = res.get("fetchViewer");
            if (resItem.hadError()) {
		errorHandler(resItem);
            }
            else {
                var viewer = resItem.getData();
		successHandler(viewer);
            }
	}
    });
}
